
Katello - Refactor #23475

RH Subscriptiosn: stop bulk search polling to prevent foreman's brute force protection

05/02/2018 02:05 AM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Subscriptions   

Target version: Katello 3.7.0   

Branch:  Pull request: https://github.com/Katello/katello/pull/744

5

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

In order to prevent foreman brute force protections we need to be smarter about how we poll.  Some ideas:

Stop polling after auth failures

Stop when user stops interacting with the page

Also open to other solutions.

Related issues:

Blocks Katello - Tracker #22365: Show Allocations on the Red Hat Subscription... Closed

Associated revisions

Revision fd5efcda - 06/13/2018 10:56 PM - Tomáš Strachota

Fixes #23475 - stop polling tasks on unauthorized request

History

#1 - 05/02/2018 02:05 AM - Walden Raines

- Blocks Tracker #22365: Show Allocations on the Red Hat Subscriptions page added

#2 - 06/13/2018 11:31 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomáš Strachota

- Pull request https://github.com/Katello/katello/pull/7445 added

#3 - 06/13/2018 11:01 PM - Tomáš Strachota

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|fd5efcdaaf472c3d8d759fae2b7fa27c5f530c4b.

#4 - 06/18/2018 08:58 PM - Walden Raines

- Target version deleted (253)
